Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2131967 - [abrt] policycoreutils-devel: export_config(): gui.py:2669:export_config:IsADirectoryError: [Errno 21] Is een map: '/root/Downloads'
Summary: [abrt] policycoreutils-devel: export_config(): gui.py:2669:export_config:IsAD...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:58d6444db73d15478ef18eb66fe...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-10-04 10:09 UTC by André Verwijs
Modified: 2023-03-25 02:01 UTC (History)
6 users (show)

Fixed In Version: policycoreutils-3.5-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-27 11:00:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: environ (deleted)
2022-10-04 10:09 UTC, André Verwijs
no flags Details
File: mountinfo (deleted)
2022-10-04 10:09 UTC, André Verwijs
no flags Details
File: cpuinfo (deleted)
2022-10-04 10:09 UTC, André Verwijs
no flags Details
File: namespaces (deleted)
2022-10-04 10:09 UTC, André Verwijs
no flags Details
File: backtrace (deleted)
2022-10-04 10:09 UTC, André Verwijs
no flags Details
File: os_info (deleted)
2022-10-04 10:09 UTC, André Verwijs
no flags Details
File: open_fds (deleted)
2022-10-04 10:09 UTC, André Verwijs
no flags Details

Description André Verwijs 2022-10-04 10:09:29 UTC
Description of problem:
???

Version-Release number of selected component:
policycoreutils-devel-3.4-6.fc37

Additional info:
reporter:       libreport-2.17.4
exception_type: IsADirectoryError
crash_function: export_config
comment:        ???
type:           Python3
cmdline:        /usr/bin/python3 -Es /usr/bin/sepolicy gui
interpreter:    python3-3.11.0~rc2-1.fc38.x86_64
runlevel:       N 5
uid:            0
kernel:         6.0.0-0.rc7.20220930git987a926c1d8a.51.fc38.x86_64
executable:     /usr/bin/sepolicy
package:        policycoreutils-devel-3.4-6.fc37
reason:         gui.py:2669:export_config:IsADirectoryError: [Errno 21] Is een map: '/root/Downloads'
cgroup:         0::/user.slice/user-0.slice/session-2.scope

Truncated backtrace:
#1 [/usr/lib/python3.11/site-packages/sepolicy/gui.py:2669] export_config
#2 [/usr/lib/python3.11/site-packages/sepolicy/gui.py:2594] on_browse_select

Comment 1 André Verwijs 2022-10-04 10:09:34 UTC
Created attachment 1915933 [details]
File: environ

Comment 2 André Verwijs 2022-10-04 10:09:36 UTC
Created attachment 1915934 [details]
File: mountinfo

Comment 3 André Verwijs 2022-10-04 10:09:37 UTC
Created attachment 1915935 [details]
File: cpuinfo

Comment 4 André Verwijs 2022-10-04 10:09:39 UTC
Created attachment 1915936 [details]
File: namespaces

Comment 5 André Verwijs 2022-10-04 10:09:42 UTC
Created attachment 1915937 [details]
File: backtrace

Comment 6 André Verwijs 2022-10-04 10:09:44 UTC
Created attachment 1915938 [details]
File: os_info

Comment 7 André Verwijs 2022-10-04 10:09:45 UTC
Created attachment 1915939 [details]
File: open_fds

Comment 8 Petr Lautrbach 2022-10-05 13:21:06 UTC
 It looks like the simplest solution would be to drop button pres signal from
 file choose dialog:

 modified   python/sepolicy/sepolicy/sepolicy.glade
 @@ -168,7 +168,6 @@
        <object class="GtkBox" id="filechooserdialog-vbox1">
          <property name="can_focus">False</property>
          <property name="orientation">vertical</property>
 -        <signal name="button-press-event" handler="on_choose_file"
 swapped="no"/>
          <child internal-child="action_area">
            <object class="GtkButtonBox" id="filechooserdialog-action_area1">
              <property name="can_focus">False</property>

Comment 9 Ben Cotton 2023-02-07 15:10:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 10 Fedora Update System 2023-02-27 18:52:08 UTC
FEDORA-2023-568a3be5b8 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-568a3be5b8

Comment 11 Fedora Update System 2023-02-28 02:54:13 UTC
FEDORA-2023-568a3be5b8 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-568a3be5b8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-568a3be5b8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-03-25 02:01:35 UTC
FEDORA-2023-568a3be5b8 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.